
import ready from 'Utils/documentReady.js';

ready(function() {
    const bgSlider = document.querySelector('.bg-sliders');

    if (bgSlider && window.getComputedStyle(bgSlider).display != 'none') {
      const bgSlides = document.querySelectorAll('.bg-slider');

      if (bgSlides.length > 0) {
        const sldierDuration = parseInt(window.getComputedStyle(bgSlides[0]).getPropertyValue('--slider-duration-js'));
        const sliderDelay = 650;
        const sliderAnimation = sldierDuration + sliderDelay;

        sliderInAction(bgSlides);

        function sliderInAction(slides) {
          let count = 0;

          showSlide(slides[count]);

          function showSlide(slide) {
            slide.classList.add('active', 'start');

            setTimeout(() => {
              slide.classList.add('end');

              setTimeout(() => {
                slide.classList.remove('active', 'start', 'end');
                count++;
                if (count === slides.length) count = 0;
                showSlide(slides[count]);
                // setTimeout(() => {

                // }, sldierDuration);
              }, sldierDuration);
            }, sliderAnimation);
          }
        }
      }
    }
});
